## utopia-documents 2.4.2

=== CMakeLists.txt ===
###############################################################################
#   
#    This file is part of the Utopia Documents application.
#        Copyright (c) 2008-2014 Lost Island Labs
#    
#    Utopia Documents is free software: you can redistribute it and/or modify
#    it under the terms of the GNU GENERAL PUBLIC LICENSE VERSION 3 as
#    published by the Free Software Foundation.
#    
#    Utopia Documents is distributed in the hope that it will be useful, but
#    WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
#    Public License for more details.
#    
#    In addition, as a special exception, the copyright holders give
#    permission to link the code of portions of this program with the OpenSSL
#    library under certain conditions as described in each individual source
#    file, and distribute linked combinations including the two.
#    
#    You must obey the GNU General Public License in all respects for all of
#    the code used other than OpenSSL. If you modify file(s) with this
#    exception, you may extend this exception to your version of the file(s),
#    but you are not obligated to do so. If you do not wish to do so, delete
#    this exception statement from your version.
#    
#    You should have received a copy of the GNU General Public License
#    along with Utopia Documents. If not, see <http://www.gnu.org/licenses/>
#   
###############################################################################

### Versioning and general setup ##################################################################

cmake_minimum_required(VERSION 2.6)
project( Utopia )

#cmake_policy(SET CMP0017 OLD)
cmake_policy(VERSION 2.6)

# Utopia versioning
set(VERSION_MAJOR "2")
set(VERSION_MINOR "4")
set(VERSION_PATCH "2")

if("${CMAKE_BUILD_TYPE}" STREQUAL "Debug")
	add_definitions(-DUTOPIA_BUILD_DEBUG=1)
else()
	add_definitions(-DQT_NO_DEBUG_OUTPUT=1 -DQT_NO_WARNING_OUTPUT=1)
endif()

if(WIN32)
	add_definitions(-D_UNICODE=1)
endif()


### Dependency information ########################################################################

# search for local cmake find modules
list(INSERT CMAKE_MODULE_PATH 0 ${CMAKE_SOURCE_DIR}/CMakeConfig/Modules)

include(GetGitRevisionDescription)

IF(WIN32)
  SET(PYTHON_VERSION "2.6")
ELSE()
  SET(PYTHON_VERSION "2.7")
ENDIF()
STRING(REPLACE "." "" PYTHON_VERSION_UNDOTTED "${PYTHON_VERSION}")

# prefer our static libraries
set(UTOPIA_DEPENDENCIES_DIR "${CMAKE_SOURCE_DIR}/dependencies" CACHE STRING "Library dependencies location")
list(INSERT CMAKE_MODULE_PATH 0 ${UTOPIA_DEPENDENCIES_DIR}/share/apps/cmake/modules)
include(${UTOPIA_DEPENDENCIES_DIR}/dependencies.cmake)
list(INSERT CMAKE_PREFIX_PATH 0 "${UTOPIA_DEPENDENCIES_DIR}")
if(WIN32)
    list(INSERT CMAKE_PREFIX_PATH 0 ${UTOPIA_DEPENDENCIES_DIR}/Qt)
    list(INSERT CMAKE_PREFIX_PATH 0 ${UTOPIA_DEPENDENCIES_DIR}/bin)
    list(INSERT CMAKE_PREFIX_PATH 0 "c:/Python${PYTHON_VERSION_UNDOTTED}/")
    # ensure explicit template instantiations are exported on Windows!
    set(CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} -Wl,--enable-auto-import")
    set(CMAKE_MODULE_LINKER_FLAGS "${CMAKE_MODULE_LINKER_FLAGS} -Wl,--enable-auto-import")
    set(CMAKE_SHARED_LINKER_FLAGS "${CMAKE_SHARED_LINKER_FLAGS} -Wl,--export-all-symbols -Wl,--enable-auto-import")
endif()

### Find dependencies #############################################################################

# PCRE
find_package( PCRE REQUIRED )

# QJSON
find_package( QJSON REQUIRED )

# OpenGL
find_package( OpenGL REQUIRED )

# OpenSSL
find_package( OpenSSL REQUIRED )

# GLEW
find_package( GLEW REQUIRED )

# QGLViewer
find_package( QGLViewer REQUIRED )

# FIXME: Do we need this?
if(WIN32)
    set(QT_USE_QTMAIN TRUE)
endif(WIN32)

# Qt4
find_package( Qt4 REQUIRED )
    set(QT_USE_QTNETWORK 1)
    set(QT_USE_QTOPENGL 1)
    set(QT_USE_QTXML 1)
    set(QT_USE_QTSVG 1)
    set(QT_USE_QTWEBKIT 1)
    set(QT_USE_QTSCRIPT 1)
    set(QT_USE_QTDESIGNER 0)
    set(QT_USE_QTUITOOLS 0)
    set(QT_USE_QTHELP 0)
include(${QT_USE_FILE})


if(APPLE)
    if(CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT)
        set(CMAKE_OSX_ARCHITECTURES "x86_64"
            CACHE STRING "Build architectures for OSX" FORCE)
        set(CMAKE_OSX_SYSROOT /Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.8.sdk
            CACHE STRING "isysroot used for universal binary support" FORCE)
        set(CMAKE_OSX_DEPLOYMENT_TARGET 10.8
            CACHE STRING "-mmacosx-version-min flag used for universal binary support" FORCE)
    endif()
endif()


# Set GUI_TYPE for each platform
if(WIN32)
    # Only set GUI_TYPE to WIN32 in release mode (keeps console up for debug mode)
    if(NOT "${CMAKE_BUILD_TYPE}" STREQUAL "Debug")
        set(GUI_TYPE WIN32)
    endif()
endif()



# Boost
set(BOOST_VERSION_REQUIRED "1.45")
set(BOOST_ROOT "${UTOPIA_DEPENDENCIES_DIR}")
#set(Boost_DEBUG 1)
set(Boost_ADDITIONAL_VERSIONS "${BOOST_VERSION_REQUIRED}")
if (UNIX)
  set(Boost_USE_STATIC_LIBS OFF)
else()
  set(Boost_USE_STATIC_LIBS OFF)
endif()
find_package(Boost ${BOOST_VERSION_REQUIRED} COMPONENTS thread system python)
if(NOT Boost_FOUND)
  FIND_PACKAGE(Boost COMPONENTS thread system python REQUIRED)
endif()
if(UNIX)
  list(APPEND Boost_THREAD_LIBRARY "pthread")
endif()

# ZLib
find_package(ZLIB REQUIRED)

# Freetype
FIND_PACKAGE(Freetype REQUIRED)
list(APPEND FREETYPE_LIBRARIES ${ZLIB_LIBRARIES})

# Graphviz
###FIND_PACKAGE(Graphviz REQUIRED)

# Expat
FIND_PACKAGE(EXPAT REQUIRED)

# Raptor
FIND_PACKAGE(Raptor REQUIRED)

# Python
SET(_CMAKE_FIND_FRAMEWORK ${CMAKE_FIND_FRAMEWORK})
SET(CMAKE_FIND_FRAMEWORK "NEVER")
SET(Python_ADDITIONAL_VERSIONS "${PYTHON_VERSION}")
FIND_PACKAGE(PythonLibs REQUIRED)
SET(CMAKE_FIND_FRAMEWORK ${_CMAKE_FIND_FRAMEWORK})
if(UNIX AND NOT APPLE)
  SET(USE_SYSTEM_Python "1")
  set(Boost_LIBRARIES ${Boost_LIBRARIES} ${PYTHON_LIBRARIES})
endif()


# SWIG
find_package(SWIG REQUIRED)
include(${SWIG_USE_FILE})

# Handle Building ############################################################

function(install_utopia_library name comp)
  install(TARGETS ${name} LIBRARY DESTINATION ${LIB_INSTALL_DIR} RUNTIME DESTINATION ${BIN_INSTALL_DIR} ARCHIVE DESTINATION ${LIB_INSTALL_DIR} COMPONENT "${comp}")
endfunction()

function(install_utopia_plugin name comp)
  install(TARGETS ${name} LIBRARY DESTINATION ${PLUGIN_INSTALL_DIR} COMPONENT "${comp}")
endfunction()

function(add_utopia_executable target)
 add_executable(${ARGV})
 ADD_DEPENDENCIES(build ${target})
endfunction()

function(add_utopia_plugin target)
 add_library(${ARGV})
 ADD_DEPENDENCIES(build ${target})
endfunction()

function(add_utopia_library target)
if(UNIX AND NOT APPLE)
  add_library(${ARGV})
  set(SOURCES "${ARGN}")
  list(REMOVE_AT SOURCES 0)
  set_source_files_properties(${SOURCES} PROPERTIES COMPILE_FLAGS "-fPIC")

#  set_target_properties( ${target} PROPERTIES
#    VERSION "${VERSION_MAJOR}.${VERSION_MINOR}.${VERSION_PATCH}"
#    SOVERSION "1"
#    )
else()
  add_library(${ARGV})
endif()
 ADD_DEPENDENCIES(build ${target})
endfunction()

add_custom_target(build)
add_custom_target(post-build ALL)

ADD_DEPENDENCIES(post-build build)

# General config #############################################################

set(CMAKE_SKIP_RPATH NO)

if(APPLE)
    set(BUNDLE_CONTENTS_DIR "Utopia.app/Contents")
    set(BIN_INSTALL_DIR "${BUNDLE_CONTENTS_DIR}/MacOS")
    set(LIB_INSTALL_DIR "${BUNDLE_CONTENTS_DIR}/Libraries")
    set(PLUGIN_INSTALL_DIR "${BUNDLE_CONTENTS_DIR}/PlugIns")
    set(RESOURCE_INSTALL_DIR "${BUNDLE_CONTENTS_DIR}/Resources")
    set(PYTHON_INSTALL_DIR "${RESOURCE_INSTALL_DIR}/python")
elseif(UNIX)
    # see http://www.cmake.org/Wiki/CMake_RPATH_handling

    set(CMAKE_SKIP_BUILD_RPATH  FALSE)
    set(CMAKE_BUILD_WITH_INSTALL_RPATH FALSE)
    set(CMAKE_INSTALL_RPATH "${CMAKE_INSTALL_PREFIX}/lib/utopia-documents/lib")
    set(CMAKE_INSTALL_RPATH_USE_LINK_PATH TRUE)
    set(LIB_INSTALL_DIR "lib/utopia-documents/lib")
    set(BIN_INSTALL_DIR "bin")
    set(PLUGIN_INSTALL_DIR "lib/utopia-documents/plugins")
    set(RESOURCE_INSTALL_DIR "share/utopia-documents")
    set(CMAKE_INSTALL_PREFIX "/usr" CACHE PATH "Install path prefix, prepended onto install directories.")
    set(PYTHON_INSTALL_DIR "lib/utopia-documents/python")
elseif(WIN32)
    set(BUNDLE_CONTENTS_DIR ".")
    set(LIB_INSTALL_DIR "bin")
    set(BIN_INSTALL_DIR "bin")
    set(PLUGIN_INSTALL_DIR "plugins")
    set(RESOURCE_INSTALL_DIR "resources")
    set(PYTHON_INSTALL_DIR "${RESOURCE_INSTALL_DIR}/python")
endif()

set(PYTHON_INCLUDE_ROOT)
set(PYTHON_LIB_ROOT)
set(PYTHON_DLL_ROOT)
if(WIN32)
  set(PYTHON_INCLUDE_ROOT "c:/Python${PYTHON_VERSION_UNDOTTED}/Include")
  set(PYTHON_BIN_ROOT "c:/Python${PYTHON_VERSION_UNDOTTED}")
  set(PYTHON_LIB_ROOT "c:/Python${PYTHON_VERSION_UNDOTTED}/Lib")
  set(PYTHON_DLL_ROOT "c:/Python${PYTHON_VERSION_UNDOTTED}/DLLs")
elseif(NOT USE_SYSTEM_Python)
  set(PYTHON_INCLUDE_ROOT "${CMAKE_SOURCE_DIR}/dependencies/include/python${PYTHON_VERSION}")
  set(PYTHON_LIB_ROOT "${CMAKE_SOURCE_DIR}/dependencies/lib/python${PYTHON_VERSION}")
endif()

set(CMAKE_RUNTIME_OUTPUT_DIRECTORY ${CMAKE_BINARY_DIR}/${BIN_INSTALL_DIR})
set(CMAKE_LIBRARY_OUTPUT_DIRECTORY ${CMAKE_BINARY_DIR}/${LIB_INSTALL_DIR})
set(CMAKE_ARCHIVE_OUTPUT_DIRECTORY ${CMAKE_BINARY_DIR}/${LIB_INSTALL_DIR})

# Project include dirs #######################################################

set(utf8_INCLUDE_DIR "${PROJECT_SOURCE_DIR}/libutf8")
set(gtl_INCLUDE_DIR "${PROJECT_SOURCE_DIR}/libgtl")
set(spine_INCLUDE_DIR "${PROJECT_SOURCE_DIR}/libspine")
set(crackle_INCLUDE_DIR "${PROJECT_SOURCE_DIR}/libcrackle")
set(papyro_INCLUDE_DIR "${PROJECT_SOURCE_DIR}/libpapyro")
set(utopia2_INCLUDE_DIR "${PROJECT_SOURCE_DIR}/libutopia2")
set(utopia2_qt_INCLUDE_DIR "${PROJECT_SOURCE_DIR}/libutopia2_qt")
set(utopia2_auth_INCLUDE_DIR "${PROJECT_SOURCE_DIR}/libutopia2_auth")
set(utopia2_auth_qt_INCLUDE_DIR "${PROJECT_SOURCE_DIR}/libutopia2_auth_qt")
set(ambrosia_INCLUDE_DIR "${PROJECT_SOURCE_DIR}/libambrosia")
set(cinema6_INCLUDE_DIR "${PROJECT_SOURCE_DIR}/libcinema6")
set(graffiti_INCLUDE_DIR "${PROJECT_SOURCE_DIR}/libgraffiti")
set(athenaeum_INCLUDE_DIR "${PROJECT_SOURCE_DIR}/libathenaeum")

##############################################################################

if(APPLE)
    OPTION(CHANGE_PERMISSIONS "Change ownership to root after building - REQUIRED FOR PACKAGING" OFF)
endif()

set(COMPONENT "Core")
add_subdirectory( libutf8 )
add_subdirectory( libgtl )
add_subdirectory( libutopia2 )
add_subdirectory( libutopia2_qt )
add_subdirectory( data )
add_subdirectory( libspine )
add_subdirectory( libcrackle )

set(COMPONENT "Auth")
add_subdirectory( libutopia2_auth )
add_subdirectory( libutopia2_auth_qt )

include(CMakeDependentOption)

OPTION(UTOPIA_BUILD_DOCUMENTS "Build Utopia Documents" ON)
CMAKE_DEPENDENT_OPTION(UTOPIA_BUILD_DOCVIEW "Build Document Viewer" ON "UTOPIA_BUILD_DOCUMENTS" OFF)
if(UTOPIA_BUILD_DOCUMENTS)
  set(COMPONENT "Documents")
  add_subdirectory( libpapyro )
  #add_subdirectory( libannotator )
  if(UTOPIA_BUILD_DOCVIEW)
    add_subdirectory( papyro )
  endif()
endif()

OPTION(UTOPIA_BUILD_LIBRARY "Build Utopia Library" ON)
if(UTOPIA_BUILD_LIBRARY)
  set(COMPONENT "Library")
  add_subdirectory( libathenaeum )
endif()

OPTION(UTOPIA_BUILD_MOLECULES "Build Utopia Molecules" ON)
CMAKE_DEPENDENT_OPTION(UTOPIA_BUILD_MOLVIEW "Build Molecule Viewer" OFF "UTOPIA_BUILD_MOLECULES" OFF)
if(UTOPIA_BUILD_MOLECULES)
  set(COMPONENT "Molecules")
  add_subdirectory( libambrosia )
  if(UTOPIA_BUILD_MOLVIEW)
    add_subdirectory( ambrosia )
  endif()
endif()

OPTION(UTOPIA_BUILD_SEQUENCES "Build Utopia Sequences" ON)
CMAKE_DEPENDENT_OPTION(UTOPIA_BUILD_SEQVIEW "Build Sequence Viewer" OFF "UTOPIA_BUILD_SEQUENCES" OFF)
if(UTOPIA_BUILD_SEQUENCES)
  set(COMPONENT "Sequences")
  add_subdirectory( libcinema6 )
  if(UTOPIA_BUILD_SEQVIEW)

=== ambrosia/CMakeLists.txt ===
###############################################################################
#   
#    This file is part of the Utopia Documents application.
#        Copyright (c) 2008-2014 Lost Island Labs
#    
#    Utopia Documents is free software: you can redistribute it and/or modify
#    it under the terms of the GNU GENERAL PUBLIC LICENSE VERSION 3 as
#    published by the Free Software Foundation.
#    
#    Utopia Documents is distributed in the hope that it will be useful, but
#    WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
#    Public License for more details.
#    
#    In addition, as a special exception, the copyright holders give
#    permission to link the code of portions of this program with the OpenSSL
#    library under certain conditions as described in each individual source
#    file, and distribute linked combinations including the two.
#    
#    You must obey the GNU General Public License in all respects for all of
#    the code used other than OpenSSL. If you modify file(s) with this
#    exception, you may extend this exception to your version of the file(s),
#    but you are not obligated to do so. If you do not wish to do so, delete
#    this exception statement from your version.
#    
#    You should have received a copy of the GNU General Public License
#    along with Utopia Documents. If not, see <http://www.gnu.org/licenses/>
#   
###############################################################################

project(Molecules)

set(SOURCES
  main.cpp
  qtlocalpeer.cpp
  qtsingleapplication.cpp
)

set(MOC_HEADERS
  qtsingleapplication.h
  qtlocalpeer.h
  )

include_directories(
  ${utopia2_qt_INCLUDE_DIR}
  ${utopia2_INCLUDE_DIR}
  ${ambrosia_INCLUDE_DIR}
  ${ambrosia_INCLUDE_DIR}/ambrosia/QGLViewer
  ${Boost_INCLUDE_DIR}
  ${gtl_INCLUDE_DIR}
  ${utf8_INCLUDE_DIR}
  ${QGLViewer_INCLUDE_DIR}
  )

QT4_WRAP_CPP(MOC_SOURCES ${MOC_HEADERS} )

if(MINGW)
  ADD_CUSTOM_COMMAND(OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/Utopiaico.o
             COMMAND windres.exe -I${CMAKE_CURRENT_SOURCE_DIR} -i${CMAKE_CURRENT_SOURCE_DIR}/Utopia.rc
             -o ${CMAKE_CURRENT_BINARY_DIR}/Utopiaico.o)
  set(SOURCES ${SOURCES} ${CMAKE_CURRENT_BINARY_DIR}/Utopiaico.o)
else()
  set(SOURCES ${SOURCES} Utopia.rc)
endif()

add_utopia_executable( ${PROJECT_NAME} ${GUI_TYPE} ${SOURCES} ${MOC_SOURCES})

target_link_libraries(${PROJECT_NAME} utopia2 utopia2_qt ambrosia gtl ${QT_LIBRARIES} ${QGLViewer_LIBRARIES})

install(TARGETS ${PROJECT_NAME} RUNTIME DESTINATION ${BIN_INSTALL_DIR} COMPONENT "${COMPONENT}")

set(PROJECT_APPLE_PLIST utopia.plist.in)
set(PROJECT_APPLE_ICON documents.icns)

if(APPLE)
  configure_file(${PROJECT_APPLE_ICON} ${CMAKE_BINARY_DIR}/${BUNDLE_CONTENTS_DIR}/Resources/${PROJECT_APPLE_ICON} COPYONLY)
  configure_file(${PROJECT_APPLE_PLIST} ${CMAKE_BINARY_DIR}/${BUNDLE_CONTENTS_DIR}/Info.plist @ONLY)
  install(FILES ${CMAKE_BINARY_DIR}/${BUNDLE_CONTENTS_DIR}/Resources/${PROJECT_APPLE_ICON}
          DESTINATION ${BUNDLE_CONTENTS_DIR}/Resources/ COMPONENT "${COMPONENT}")
  install(FILES ${CMAKE_BINARY_DIR}/${BUNDLE_CONTENTS_DIR}/Info.plist DESTINATION ${BUNDLE_CONTENTS_DIR} COMPONENT "${COMPONENT}")
endif()

=== cinema6/CMakeLists.txt ===
###############################################################################
#   
#    This file is part of the Utopia Documents application.
#        Copyright (c) 2008-2014 Lost Island Labs
#    
#    Utopia Documents is free software: you can redistribute it and/or modify
#    it under the terms of the GNU GENERAL PUBLIC LICENSE VERSION 3 as
#    published by the Free Software Foundation.
#    
#    Utopia Documents is distributed in the hope that it will be useful, but
#    WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
#    Public License for more details.
#    
#    In addition, as a special exception, the copyright holders give
#    permission to link the code of portions of this program with the OpenSSL
#    library under certain conditions as described in each individual source
#    file, and distribute linked combinations including the two.
#    
#    You must obey the GNU General Public License in all respects for all of
#    the code used other than OpenSSL. If you modify file(s) with this
#    exception, you may extend this exception to your version of the file(s),
#    but you are not obligated to do so. If you do not wish to do so, delete
#    this exception statement from your version.
#    
#    You should have received a copy of the GNU General Public License
#    along with Utopia Documents. If not, see <http://www.gnu.org/licenses/>
#   
###############################################################################

project(Sequences)

set(SOURCES
  alignmentviewwindow.cpp
  main.cpp
  )

set(MOC_HEADERS
  alignmentviewwindow.h
  )

set(FORMS
  alignmentviewwindow.ui
  )

include_directories(
  ${PROJECT_BINARY_DIR}
  ${Boost_INCLUDE_DIR}
  ${utopia2_INCLUDE_DIR}
  ${utopia2_qt_INCLUDE_DIR}
  ${cinema6_INCLUDE_DIR}
  )

QT4_WRAP_UI(UI_SOURCES ${FORMS})
QT4_WRAP_CPP(MOC_SOURCES ${MOC_HEADERS} )

add_utopia_executable( ${PROJECT_NAME} ${GUI_TYPE} ${SOURCES} ${MOC_SOURCES} ${UI_SOURCES})

target_link_libraries(${PROJECT_NAME}
  utopia2
  utopia2_qt
  cinema6
  ${QT_LIBRARIES}
  )

install(TARGETS ${PROJECT_NAME} RUNTIME DESTINATION ${BIN_INSTALL_DIR} COMPONENT "${COMPONENT}")

=== data/CMakeLists.txt ===
###############################################################################
#   
#    This file is part of the Utopia Documents application.
#        Copyright (c) 2008-2014 Lost Island Labs
#    
#    Utopia Documents is free software: you can redistribute it and/or modify
#    it under the terms of the GNU GENERAL PUBLIC LICENSE VERSION 3 as
#    published by the Free Software Foundation.
#    
#    Utopia Documents is distributed in the hope that it will be useful, but
#    WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
#    Public License for more details.
#    
#    In addition, as a special exception, the copyright holders give
#    permission to link the code of portions of this program with the OpenSSL
#    library under certain conditions as described in each individual source
#    file, and distribute linked combinations including the two.
#    
#    You must obey the GNU General Public License in all respects for all of
#    the code used other than OpenSSL. If you modify file(s) with this
#    exception, you may extend this exception to your version of the file(s),
#    but you are not obligated to do so. If you do not wish to do so, delete
#    this exception statement from your version.
#    
#    You should have received a copy of the GNU General Public License
#    along with Utopia Documents. If not, see <http://www.gnu.org/licenses/>
#   
###############################################################################

project( utopia2 )

add_subdirectory( css )
#add_subdirectory( icu )
add_subdirectory( ontologies )
add_subdirectory( mime )

configure_file("defaults.conf" "${CMAKE_BINARY_DIR}/${RESOURCE_INSTALL_DIR}/defaults.conf" COPYONLY)
install(FILES "${CMAKE_BINARY_DIR}/${RESOURCE_INSTALL_DIR}/defaults.conf" DESTINATION "${RESOURCE_INSTALL_DIR}/" COMPONENT "${COMPONENT}")

=== dependencies/CMakeLists.txt ===
###############################################################################
#   
#    This file is part of the Utopia Documents application.
#        Copyright (c) 2008-2014 Lost Island Labs
#    
#    Utopia Documents is free software: you can redistribute it and/or modify
#    it under the terms of the GNU GENERAL PUBLIC LICENSE VERSION 3 as
#    published by the Free Software Foundation.
#    
#    Utopia Documents is distributed in the hope that it will be useful, but
#    WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
#    Public License for more details.
#    
#    In addition, as a special exception, the copyright holders give
#    permission to link the code of portions of this program with the OpenSSL
#    library under certain conditions as described in each individual source
#    file, and distribute linked combinations including the two.
#    
#    You must obey the GNU General Public License in all respects for all of
#    the code used other than OpenSSL. If you modify file(s) with this
#    exception, you may extend this exception to your version of the file(s),
#    but you are not obligated to do so. If you do not wish to do so, delete
#    this exception statement from your version.
#    
#    You should have received a copy of the GNU General Public License
#    along with Utopia Documents. If not, see <http://www.gnu.org/licenses/>
#   
###############################################################################

###############################################################################
#
#    This file is part of the Utopia Documents application.
#        Copyright (c) 2008-2014 Lost Island Labs
#
#    Utopia Documents is free software: you can redistribute it and/or modify
#    it under the terms of the GNU GENERAL PUBLIC LICENSE VERSION 3 as
#    published by the Free Software Foundation.
#
#    Utopia Documents is distributed in the hope that it will be useful, but
#    WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
#    Public License for more details.
#
#    In addition, as a special exception, the copyright holders give
#    permission to link the code of portions of this program with the OpenSSL
#    library under certain conditions as described in each individual source
#    file, and distribute linked combinations including the two.
#
#    You must obey the GNU General Public License in all respects for all of
#    the code used other than OpenSSL. If you modify file(s) with this
#    exception, you may extend this exception to your version of the file(s),
#    but you are not obligated to do so. If you do not wish to do so, delete
#    this exception statement from your version.
#
#    You should have received a copy of the GNU General Public License
#    along with Utopia Documents. If not, see <http://www.gnu.org/licenses/>
#
###############################################################################

cmake_minimum_required (VERSION 2.6)

project ( DEPENDENCIES )

set(DEFINES "")
set(LOCALS "")
set(ENVS "")

if(APPLE)
    if(CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT)
        set(CMAKE_OSX_ARCHITECTURES "i386;x86_64"
            CACHE STRING "Build architectures for OSX" FORCE)
        set(CMAKE_OSX_SYSROOT /Developer/SDKs/MacOSX10.6.sdk
            CACHE STRING "isysroot used for universal binary support" FORCE)
        set(CMAKE_OSX_DEPLOYMENT_TARGET 10.6
            CACHE STRING "-mmacosx-version-min flag used for universal binary support" FORCE)
    endif()
endif()

foreach(CMAKE_OSX_ARCHITECTURE ${CMAKE_OSX_ARCHITECTURES})
  set(CMAKE_OSX_FLAGS "${CMAKE_OSX_ARCHITECTURE}" "${CMAKE_OSX_FLAGS}")
endforeach()

file(GLOB DEPS RELATIVE "${PROJECT_SOURCE_DIR}" "build_*[^~]")

foreach(SCRIPT ${DEPS})

  string(REGEX REPLACE "build_"  "" PKG "${SCRIPT}")

  OPTION(USE_SYSTEM_${PKG} "Use system version of ${PKG}" OFF)

  set(LOCALS "${LOCALS}set(USE_SYSTEM_${PKG} ${USE_SYSTEM_${PKG}})\n")

  set(ENVS "${ENVS}USE_SYSTEM_${PKG}=\"${USE_SYSTEM_${PKG}}\"\n")

  if(USE_SYSTEM_${PKG})
    message(STATUS "Using system version of dependency script: ${PKG}")
  else()
    add_custom_command(OUTPUT ".${PKG}-BUILT"
      DEPENDS "build_${PKG}"
      COMMAND "${PROJECT_SOURCE_DIR}/build_${PKG}"
              "${CMAKE_OSX_DEPLOYMENT_TARGET}"
              "${CMAKE_OSX_SYSROOT}"
              ${CMAKE_OSX_FLAGS}
      COMMENT "Building ${PKG}"
      )
    add_custom_target("${PKG}" ALL DEPENDS ".${PKG}-BUILT")

    message(STATUS "Found dependency script: ${PKG}")

    set(DEFINES "${DEFINES}#define LOCAL_${PKG} 1\n")

    list(APPEND PKGS "${PKG}")
  endif()
endforeach(SCRIPT ${DEPS})

set(ENVS "${ENVS}CMAKE_OSX_ARCHITECTURES=\"${CMAKE_OSX_ARCHITECTURES}\"\n")
set(ENVS "${ENVS}CMAKE_OSX_SYSROOT=\"${CMAKE_OSX_SYSROOT}\"\n")
set(ENVS "${ENVS}CMAKE_OSX_DEPLOYMENT_TARGET=\"${CMAKE_OSX_DEPLOYMENT_TARGET}\"\n")

configure_file(dependencies.h.in ../libutopia2/utopia2/dependencies.h @ONLY)
configure_file(dependencies.cmake.in dependencies.cmake @ONLY)
configure_file(dependencies.env.in dependencies.env @ONLY)

string(REGEX REPLACE ";" "|" TARGETS "${PKGS}")
message(STATUS "")
message(STATUS "To build with a local copy of a specific dependency type:")
message(STATUS "")
message(STATUS "    make [${TARGETS}]")
message(STATUS "")
message(STATUS "To build with all local dependencies just type:")
message(STATUS "")
message(STATUS "    make")
message(STATUS "")

=== libambrosia/CMakeLists.txt ===
###############################################################################
#   
#    This file is part of the Utopia Documents application.
#        Copyright (c) 2008-2014 Lost Island Labs
#    
#    Utopia Documents is free software: you can redistribute it and/or modify
#    it under the terms of the GNU GENERAL PUBLIC LICENSE VERSION 3 as
#    published by the Free Software Foundation.
#    
#    Utopia Documents is distributed in the hope that it will be useful, but
#    WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
#    Public License for more details.
#    
#    In addition, as a special exception, the copyright holders give
#    permission to link the code of portions of this program with the OpenSSL
#    library under certain conditions as described in each individual source
#    file, and distribute linked combinations including the two.
#    
#    You must obey the GNU General Public License in all respects for all of
#    the code used other than OpenSSL. If you modify file(s) with this
#    exception, you may extend this exception to your version of the file(s),
#    but you are not obligated to do so. If you do not wish to do so, delete
#    this exception statement from your version.
#    
#    You should have received a copy of the GNU General Public License
#    along with Utopia Documents. If not, see <http://www.gnu.org/licenses/>
#   
###############################################################################

project(ambrosia)

include_directories( ${PROJECT_SOURCE_DIR} )

add_subdirectory( ambrosia )
add_subdirectory( plugins )
add_subdirectory( data )

=== libathenaeum/CMakeLists.txt ===
###############################################################################
#   
#    This file is part of the Utopia Documents application.
#        Copyright (c) 2008-2014 Lost Island Labs
#    
#    Utopia Documents is free software: you can redistribute it and/or modify
#    it under the terms of the GNU GENERAL PUBLIC LICENSE VERSION 3 as
#    published by the Free Software Foundation.
#    
#    Utopia Documents is distributed in the hope that it will be useful, but
#    WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
#    Public License for more details.
#    
#    In addition, as a special exception, the copyright holders give
#    permission to link the code of portions of this program with the OpenSSL
#    library under certain conditions as described in each individual source
#    file, and distribute linked combinations including the two.
#    
#    You must obey the GNU General Public License in all respects for all of
#    the code used other than OpenSSL. If you modify file(s) with this
#    exception, you may extend this exception to your version of the file(s),
#    but you are not obligated to do so. If you do not wish to do so, delete
#    this exception statement from your version.
#    
#    You should have received a copy of the GNU General Public License
#    along with Utopia Documents. If not, see <http://www.gnu.org/licenses/>
#   
###############################################################################

project(athenaeum)

include_directories( ${PROJECT_SOURCE_DIR} )

add_subdirectory( athenaeum )
add_subdirectory( plugins )

=== libcinema6/CMakeLists.txt ===
###############################################################################
#   
#    This file is part of the Utopia Documents application.
#        Copyright (c) 2008-2014 Lost Island Labs
#    
#    Utopia Documents is free software: you can redistribute it and/or modify
#    it under the terms of the GNU GENERAL PUBLIC LICENSE VERSION 3 as
#    published by the Free Software Foundation.
#    
#    Utopia Documents is distributed in the hope that it will be useful, but
#    WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
#    Public License for more details.
#    
#    In addition, as a special exception, the copyright holders give
#    permission to link the code of portions of this program with the OpenSSL
#    library under certain conditions as described in each individual source
#    file, and distribute linked combinations including the two.
#    
#    You must obey the GNU General Public License in all respects for all of
#    the code used other than OpenSSL. If you modify file(s) with this
#    exception, you may extend this exception to your version of the file(s),
#    but you are not obligated to do so. If you do not wish to do so, delete
#    this exception statement from your version.
#    
#    You should have received a copy of the GNU General Public License
#    along with Utopia Documents. If not, see <http://www.gnu.org/licenses/>
#   
###############################################################################

project( cinema6 )
include_directories( ${PROJECT_SOURCE_DIR} )
add_subdirectory( cinema6 )
add_subdirectory( plugins )

=== libcrackle/CMakeLists.txt ===
###############################################################################
#   
#    This file is part of the libcrackle library.
#        Copyright (c) 2008-2014 Lost Island Labs
#    
#    The libcrackle library is free software: you can redistribute it and/or
#    modify it under the terms of the GNU AFFERO GENERAL PUBLIC LICENSE
#    VERSION 3 as published by the Free Software Foundation.
#    
#    The libcrackle library is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Affero
#    General Public License for more details.
#    
#    You should have received a copy of the GNU Affero General Public License
#    along with the libcrackle library. If not, see
#    <http://www.gnu.org/licenses/>
#   
###############################################################################

project( crackle )

include_directories( ${PROJECT_SOURCE_DIR} )
add_subdirectory( crackle )

=== libgraffiti/CMakeLists.txt ===
###############################################################################
#   
#    This file is part of the Utopia Documents application.
#        Copyright (c) 2008-2014 Lost Island Labs
#    
#    Utopia Documents is free software: you can redistribute it and/or modify
#    it under the terms of the GNU GENERAL PUBLIC LICENSE VERSION 3 as
#    published by the Free Software Foundation.
#    
#    Utopia Documents is distributed in the hope that it will be useful, but
#    WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
#    Public License for more details.
#    
#    In addition, as a special exception, the copyright holders give
#    permission to link the code of portions of this program with the OpenSSL
#    library under certain conditions as described in each individual source
#    file, and distribute linked combinations including the two.
#    
#    You must obey the GNU General Public License in all respects for all of
#    the code used other than OpenSSL. If you modify file(s) with this
#    exception, you may extend this exception to your version of the file(s),
#    but you are not obligated to do so. If you do not wish to do so, delete
#    this exception statement from your version.
#    
#    You should have received a copy of the GNU General Public License
#    along with Utopia Documents. If not, see <http://www.gnu.org/licenses/>
#   
###############################################################################

project( graffiti )
include_directories( ${PROJECT_SOURCE_DIR} )
add_subdirectory( graffiti )
add_subdirectory( plugins )

=== libgtl/CMakeLists.txt ===
###############################################################################
#   
#    This file is part of the Utopia Documents application.
#        Copyright (c) 2008-2014 Lost Island Labs
#    
#    Utopia Documents is free software: you can redistribute it and/or modify
#    it under the terms of the GNU GENERAL PUBLIC LICENSE VERSION 3 as
#    published by the Free Software Foundation.
#    
#    Utopia Documents is distributed in the hope that it will be useful, but
#    WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
#    Public License for more details.
#    
#    In addition, as a special exception, the copyright holders give
#    permission to link the code of portions of this program with the OpenSSL
#    library under certain conditions as described in each individual source
#    file, and distribute linked combinations including the two.
#    
#    You must obey the GNU General Public License in all respects for all of
#    the code used other than OpenSSL. If you modify file(s) with this
#    exception, you may extend this exception to your version of the file(s),
#    but you are not obligated to do so. If you do not wish to do so, delete
#    this exception statement from your version.
#    
#    You should have received a copy of the GNU General Public License
#    along with Utopia Documents. If not, see <http://www.gnu.org/licenses/>
#   
###############################################################################

project(gtl)
include_directories( ${PROJECT_SOURCE_DIR} )
add_subdirectory( gtl )

=== libpapyro/CMakeLists.txt ===
###############################################################################
#   
#    This file is part of the Utopia Documents application.
#        Copyright (c) 2008-2014 Lost Island Labs
#    
#    Utopia Documents is free software: you can redistribute it and/or modify
#    it under the terms of the GNU GENERAL PUBLIC LICENSE VERSION 3 as
#    published by the Free Software Foundation.
#    
#    Utopia Documents is distributed in the hope that it will be useful, but
#    WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
#    Public License for more details.
#    
#    In addition, as a special exception, the copyright holders give
#    permission to link the code of portions of this program with the OpenSSL
#    library under certain conditions as described in each individual source
#    file, and distribute linked combinations including the two.
#    
#    You must obey the GNU General Public License in all respects for all of
#    the code used other than OpenSSL. If you modify file(s) with this
#    exception, you may extend this exception to your version of the file(s),
#    but you are not obligated to do so. If you do not wish to do so, delete
#    this exception statement from your version.
#    
#    You should have received a copy of the GNU General Public License
#    along with Utopia Documents. If not, see <http://www.gnu.org/licenses/>
#   
###############################################################################

project(papyro)

include_directories( ${PROJECT_SOURCE_DIR} )
#add_definitions(-DQT_NO_KEYWORDS=1)

add_subdirectory( papyro )
add_subdirectory( plugins )

=== debian/changelog ===
utopia-documents (2.4.2-1~nd12.10+1) quantal; urgency=low

  * Backported for quantal.
  * Used following sed expression to modify debian/control: -e
    's/\(^Depends:\) */\1 neurodebian-popularity-contest, /g' -e
    's/^Maintainer:.*$/Maintainer: NeuroDebian Maintainers
    <team@neuro.debian.net>\nX-Original-&/'.

 -- NeuroDebian Maintainers <team@neuro.debian.net>  Wed, 09 Jul 2014 14:00:05 -0400

utopia-documents (2.4.2-1) UNRELEASED; urgency=medium

  * New upstream release.

 -- The Utopia Project <info@utopiadocs.com>  Fri, 04 Jul 2014 13:35:27 +0100

utopia-documents (2.4.1-1) UNRELEASED; urgency=medium

  * New upstream release.

 -- The Utopia Project <info@utopiadocs.com>  Fri, 20 Jun 2014 15:50:23 +0100

utopia-documents (2.4.0-1) UNRELEASED; urgency=medium

  * New upstream release.

 -- The Utopia Project <info@utopiadocs.com>  Mon, 02 Jun 2014 10:39:33 +0100

utopia-documents (2.3.0-1) UNRELEASED; urgency=low

  * New upstream release.

 -- The Utopia Project <info@utopiadocs.com>  Mon, 14 Oct 2013 10:23:00 +0100

utopia-documents (2.2.2-1) UNRELEASED; urgency=low

  * New upstream release.

 -- The Utopia Project <info@utopiadocs.com>  Tue, 21 May 2013 12:20:00 +0100

utopia-documents (2.2.1-1) UNRELEASED; urgency=low

  * New upstream release.

 -- The Utopia Project <info@utopiadocs.com>  Tue, 08 Jan 2013 14:03:12 +0000

utopia-documents (2.2.0-1) UNRELEASED; urgency=low

  * New upstream release.

 -- The Utopia Project <info@utopiadocs.com>  Mon, 26 Nov 2012 15:39:49 +0000

utopia-documents (2.1.0-1) UNRELEASED; urgency=low

  * New upstream release.

 -- The Utopia Project <info@utopiadocs.com>  Mon, 20 Aug 2012 09:00:00 +0100

utopia-documents (1.2.1-1) UNRELEASED; urgency=low

  * New upstream release.

 -- The Utopia Project <info@utopiadocs.com>  Thu, 30 Jun 2011 22:50:34 +0100

utopia-documents (1.2.0-1) UNRELEASED; urgency=low

  * New upstream release.

 -- The Utopia Project <info@utopiadocs.com>  Mon, 23 May 2011 17:34:20 +0100

=== debian/control ===
Source: utopia-documents
Section: science
Priority: optional
Maintainer: NeuroDebian Maintainers <team@neuro.debian.net>
X-Original-Maintainer: The Utopia Project <info@utopiadocs.com>
Build-Depends: cmake, debhelper (>= 9), python-all-dev (>= 2.6.6-3~), libboost-dev (>=1.44), libboost-thread-dev (>=1.44), libboost-python-dev (>=1.44), libboost-filesystem-dev (>=1.44), libboost-system-dev (>=1.44), libfreetype6-dev (>= 2.3), zlib1g-dev (>=1:1.0), swig (>=1.3), libssl-dev, libglew-dev, libqt4-dev, libqt4-dev (<< 4:4.7) | libqtwebkit-dev, libqglviewer-qt4-dev | libqglviewer-dev, libz-dev, libfreetype6-dev, libexpat-dev, libraptor-dev, libpcre++-dev, python-dev, python-imaging, libqjson-dev, zip, python-lxml (<< 3.0.0) | python-cssselect, python-lxml
Standards-Version: 3.9.5
Homepage: http://utopiadocs.com
X-Python-Version: 2.7

Package: utopia-documents
Architecture: any
Depends: neurodebian-popularity-contest, ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, python-imaging, python-lxml (<< 3.0.0) | python-cssselect, python-lxml, xdg-utils, python-suds
Description: PDF reader that displays interactive annotations on scientific articles.
 Utopia Documents is a free PDF reader that connects the static
 content of scientific articles to the dynamic world of online
 content. It makes it easy to explore an article's content and claims,
 and investigate other recent articles that discuss the same or
 similar topics.
 .
 Get immediate access to an article's metadata and browse the
 relationship it has with the world at large. Generate a formatted
 citation for use in your own work, follow bibliographic links to
 cited articles, or get a document's related data at the click of a
 button.
 .
 Various extensions provide links to blogs, online data sources and to
 social media sites so you can see what other researchers have been
 saying about not only the article you're reading but its subject
 matter too.

Package: utopia-documents-dbg
Architecture: any
Section: debug
Priority: extra
Depends: neurodebian-popularity-contest, 
    utopia-documents (= ${binary:Version}),
    ${misc:Depends}
Description: debugging symbols for utopia-documents
 Utopia Documents is a free PDF reader that connects the static
 content of scientific articles to the dynamic world of online
 content.
 .
 This package contains the debugging symbols for utopia-documents.
